/*-------------------------------------------------------------
 * Example of using a scaled value for mouseX or OSC
 * to select index numbers in an array of images
 *--------------------------------------------------------------*/
int numFrames = 4;        // The number of frames in the animation
int mappedMouse;          // variable for scaled value of mouse
PImage[] images = new PImage[numFrames];  // creates array PImages
String[] seasons = { 
  "winter.jpg", 
  "fall.jpg", 
  "spring.jpg", 
  "summer.jpg" };  // Alternate array syntax

void setup() {
  size(400, 600);
  tint(255, 255, 255, 10);   // Alpha transparency 10
  for (int i = 0; i < numFrames; i++) {
    images[i] = loadImage(seasons[i]);
  }
}

void draw() { 
  mappedMouse = int(map(mouseX, 0, 320, 0, 3)); //-- map data to # of images in array
  println(mappedMouse);
  image(images[mappedMouse], 0, 0);
}
