/*
 * uses oscP5 library by andreas schlegel
 * See oscP5 website at http://www.sojamo.de/oscP5
 *
 * Example of using a scaled value for (mouseX or OSC)
 * to select index numbers in an array of images
 *--------------------------------------------------------------*/
//-- Setup OSC:
import oscP5.*;
import netP5.*;
OscP5 oscP5;
//-- Then global variables:
int messgRec;  //-- Create integer variable for notifications from OSC
int oscValue1; //-- Create integer variable for data in osc Message
int mappedMouse;                          // variable for data scaled to number of images
int mappedOSC;                            // variable for data scaled to number of images
int numFrames = 4;                        // The number of frames in the animation
PImage[] images = new PImage[numFrames];  // creates array PImages
String[] seasons = { 
  "winter.jpg", 
  "fall.jpg", 
  "spring.jpg", 
  "summer.jpg" };  // Alternate array syntax

void setup() {
  size(400, 600);
  tint(255, 255, 255, 10);   // Alpha transparency 10
  for (int i = 0; i < numFrames; i++) {
    images[i] = loadImage(seasons[i]);
  }
  /* start oscP5, listening for incoming messages at port 12000 */
  oscP5 = new OscP5(this, 8100);
}

void draw() { //-(Comment out either the Mouse lines, or the OSC lines.)
//-- Mouse lines:
// mappedMouse = int(map(mouseX, 0, 320, 0, 3)); //-- map data to # of images in array
// println(mappedMouse);
// image(images[mappedMouse], 0, 0);
//-- OSC lines:
  mappedOSC = int(map(oscValue1, 0, 400, 0, 3)); //-- map data to # of images in array
  image(images[mappedOSC], 0, 0);
}

/* incoming osc message are forwarded to the oscEvent method. */
void oscEvent(OscMessage theOscMessage) {
   if(theOscMessage.checkAddrPattern("/mouse")==true) {
    messgRec = 100;
    } else {
    messgRec = 0;  
    }
 oscValue1 = theOscMessage.get(0).intValue(); //-- Get integer, if sent in message
 println("Value received: " + oscValue1);
}
